Tech-Ecke / CATScript/VBS Inhalt / Wireframe

 

Wireframe

Seiteninhalt:  
  Punkt erzeugen und Koordinaten auslesen
  Punktkoordinaten auslesen

Punkt:

Der folgende Codeschnipsel benötigt ein CATPart welches in einem separatem Fenster geöffnet ist. Er wird ein GeoSet erzeugen und darin einen Punkt mit den Koordinaten 0,0,0 im absoluten Koordinatensystem des Parts.

Erzeugen:

  Sub CATMain()

set oPart = CATIA.ActiveDocument.Part

set hybridBody1 = oPart.HybridBodies.Add()   'GeometricalSet erzeugen

set Punkt = oPart.HybridShapeFactory.AddNewPointCoord(0.000000, 0.000000, 0.000000) ' Punkt erzeugen
hybridBody1.AppendHybridShape Punkt    ' Punkt dem GeometricalSet.1 zuweisen

oPart.Update ' Part updaten

End Sub
 

Auslesen der Koordinaten:

Das Auslesen der Koordinaten geschieht über  .GetCoordinates.

  Sub CATMain()

set Sel = CATIA.ActiveDocument.Selection
Sel.Clear
Sel.Search "Name='Point.1',all"

set Punkt = Sel.Item(1).Value
dim Koordinaten(2)          ' deklariere eindimensionale Array-Variable mit drei Speicherzellen (0-2)
Punkt.GetCoordinates Koordinaten          ' auslesen der Koordinaten x, y und z ins Array
MsgBox "x = " & Koordinaten(0)          ' ausgabe der Koordinaten
MsgBox "y = " & Koordinaten(1)
MsgBox "z = " & Koordinaten(2)

End Sub

 

 

Achsensystem erzeugen (im Nullpunkt)

Der folgende Codeschnipsel benötigt ein CATPart welches in einem separatem Fenster geöffnet ist.

  Sub CATMain()

set oPart = CATIA.ActiveDocument.Part

set oAxis = oPart.AxisSystems.Add()
oAxis.OriginType = catAxisSystemOriginByCoordinates
oPart.UpdateObject oAxis

oAxis.IsCurrent = false         ' Optional -> Set As Not Current
oAxis.Name = "MeinAxis"     ' Optional -> Namen angeben

End Sub
 

"Die Option Drucken funktioniert erst ab Netscape V4.0 bzw. I-Explorer 5.0 !"

[letzte Aktualisierung 19.02.2016]